summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-03-20 18:41:18 +0100
committerManuel Rüger <mrueg@gentoo.org>2017-03-20 18:41:18 +0100
commitee7fd6e2916dbbf6264da7e6cb0b2ed50836ecca (patch)
tree60d97b0db0928199dfaa5e846ca95599541c112c /dev-ruby/base32/base32-0.3.2.ebuild
parentnet-wireless/kismet-ubertooth: bump (diff)
downloadgentoo-ee7fd6e2916dbbf6264da7e6cb0b2ed50836ecca.tar.gz
gentoo-ee7fd6e2916dbbf6264da7e6cb0b2ed50836ecca.tar.bz2
gentoo-ee7fd6e2916dbbf6264da7e6cb0b2ed50836ecca.zip
dev-ruby/base32: Initial version
Package-Manager: Portage-2.3.4, Repoman-2.3.2
Diffstat (limited to 'dev-ruby/base32/base32-0.3.2.ebuild')
-rw-r--r--dev-ruby/base32/base32-0.3.2.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-ruby/base32/base32-0.3.2.ebuild b/dev-ruby/base32/base32-0.3.2.ebuild
new file mode 100644
index 00000000000..2fecc283b26
--- /dev/null
+++ b/dev-ruby/base32/base32-0.3.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library which provides base32 decoding and encoding"
+HOMEPAGE="https://rubygems.org/gems/base32 https://github.com/stesla/base32"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-ruby/minitest
+ dev-ruby/rake )"
+
+all_ruby_prepare() {
+ sed -i -e "1,10d" Rakefile || die
+}